Delete a Bolt Webhook
curl --request DELETE \
--url https://api.bolt.com/v1/webhooks/{webhook_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.bolt.com/v1/webhooks/{webhook_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.bolt.com/v1/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"code": 2001005,
"message": "The input is missing a required parameter."
}
],
"result": {
"success": false
}
}{
"errors": [
{
"code": 2001005,
"message": "The input is missing a required parameter."
}
],
"result": {
"success": false
}
}{
"errors": [
{
"code": 2001005,
"message": "The input is missing a required parameter."
}
],
"result": {
"success": false
}
}Webhooks
Delete a Bolt Webhook
Delete a Bolt webhook. Provide an authorized X-API-Key to perform this action.
DELETE
/
v1
/
webhooks
/
{webhook_id}
Delete a Bolt Webhook
Authorizations
Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.
Path Parameters
Webhook ID A unique webhook ID. Reference this value to modify or delete the webhook subscription. operations as well.
Example:
"wh_za7VbYcSQU2zRgGQXQAm-g"
Response
Success
⌘I